Skip to main content
GET
/
v1
/
crypto
/
hyperliquid
/
spot
/
usdc
/
kline
Hyperliquid spot kline (candles)
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/hyperliquid/spot/usdc/kline \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "price_close": 123,
      "price_high": 123,
      "price_low": 123,
      "price_open": 123,
      "time_close": "<string>",
      "time_open": "<string>",
      "volume": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Canonical base token, e.g. BTC

interval
string
required

One of: 1min, 5min, 15min, 30min, 1h, 4h, 1d, 1w, 1m

start_time
integer
required

Unix seconds

end_time
integer
required

Unix seconds, > start_time

limit
integer

1..10000, default 500

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean